Skip to main content
POST
/
generation
/
qwen
/
qwen-image
Qwen Image
curl --request POST \
  --url https://open.skills.video/api/v1/generation/qwen/qwen-image \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>"
}
'
{
  "id": "gen_123",
  "status": "IN_QUEUE",
  "input": {
    "prompt": "a cat",
    "aspect_ratio": "1:1",
    "resolution": "1024x1024",
    "n": 1
  },
  "usage": {
    "total": 20,
    "subscription": 20,
    "permanent": 0
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.skills.video/llms.txt

Use this file to discover all available pages before exploring further.

Qwen image generation model

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

prompt
string
required
image_urls
string<uri>[]
seed
integer | null
Required range: -9007199254740991 <= x <= 9007199254740991
aspect_ratio
enum<string>
default:16:9
Available options:
1:1,
16:9,
9:16,
4:3,
3:4,
3:2,
2:3
output_format
enum<string>
default:png
Available options:
webp,
jpeg,
png
negative_prompt
string
default:
enable_safety_checker
boolean
default:false
n
integer
default:1

Number of results to generate (1-4)

Required range: 1 <= x <= 4

Response

Generation submission accepted

id
string
required

Generation id.

status
enum<string>
required

Queue status

Available options:
IN_QUEUE,
IN_PROGRESS,
COMPLETED,
FAILED,
CANCELED
input
object
required
usage
object
required

Credit usage breakdown for the request